## Apache Zeta Components Manual :: Docs For Class ezcDebugOptions

### Debug::ezcDebugOptions

### Class ezcDebugOptions

Options class for ezcDebug.

Source for this file: /Debug/src/options.php

    ezcBaseOptions
       |
       --ezcDebugOptions

Version: | //autogen//

### Properties

bool | read/write | `$stackTrace` Determines if a stack trace is stored and displayed with every debug message by default. Default is false.
int | read/write | `$stackTraceDepth` The number of levels to store for the stack trace. 0 means no limit and a complete stack trace will always be stored. Not that this might consume a large amount of memory. Default is 5.
int | read/write | `$stackTraceMaxChildren` Maximum number of children to dump on 1 level in array and object structures. This option does only affect ezcDebugPhpStacktraceIterator, ezcDebugXdebugStacktraceIterator is configured by the Xdebug INI settings. Default is 128. Set to false to show all children.
int | read/write | `$stackTraceMaxData` Maximum bytes of data to print per variable in a stacktrace. This option does only affect ezcDebugPhpStacktraceIterator, ezcDebugXdebugStacktraceIterator is configured by the Xdebug INI settings. Default is 512. Set to false to show all data.
int | read/write | `$stackTraceMaxDepth` Maximum depth to recurse into array and object structures in a stack trace. This option does only affect ezcDebugPhpStacktraceIterator, ezcDebugXdebugStacktraceIterator is configured by the Xdebug INI settings. Default is 3. Set to false to recurse fully.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'stackTrace' => false, 'stackTraceDepth' => 5, 'stackTraceMaxData' => 512, 'stackTraceMaxChildren' => 128, 'stackTraceMaxDepth' => 3, )` Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3